#!/bin/sh
# Pt-web/src/app-root/scripts/PortDiag/enactNMEA.sh
# 
#  Copyright 2016 Guralp Systems Limited.
#  Author: Robert Dunlop <rdunlop@guralp.com>
#

logger -t "enactNMEA.sh" "Starting up"

PORT_NAME="$1"
BAUD="$2"

CFFILE="/etc/conf.d/serial/${PORT_NAME}.cf"

svc "${PORT_NAME}" stop

logger -t "enactNMEA.sh" "Modifying ${CFFILE}"

set -e

logger -t "enactNMEA.sh" "Setting baud to ${BAUD}"
gcs_rwvar gcs_set_varcf "baud" "${CFFILE}" "${BAUD}"
logger -t "enactNMEA.sh" "Setting function"
gcs_rwvar gcs_set_varcf "function" "${CFFILE}" "NMEA in"
logger -t "enactNMEA.sh" "Starting port service (${PORT_NAME})"
svc "${PORT_NAME}" start
logger -t "enactNMEA.sh" "Done"
